/*
 * Copyright (c) 2016 Intel Corporation
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <zephyr/kernel.h>
#include <zephyr/drivers/gpio.h>

/* 1000 msec = 1 sec */
#define SLEEP_TIME_MS   2000

/* The devicetree node identifier for the "led0 : led9" alias. */
#define LED0_NODE DT_ALIAS(led0)
#define LED1_NODE DT_ALIAS(led1)
#define LED2_NODE DT_ALIAS(led2)

#define LED3_NODE DT_ALIAS(led3)
#define LED4_NODE DT_ALIAS(led4)
#define LED5_NODE DT_ALIAS(led5)
#define LED6_NODE DT_ALIAS(led6)
#define LED7_NODE DT_ALIAS(led7)
#define LED8_NODE DT_ALIAS(led8)
#define LED9_NODE DT_ALIAS(led9)
/**/

/*
 * A build error on this line means your board is unsupported.
 * See the sample documentation for information on how to fix this.
 */
static const struct gpio_dt_spec led0 = GPIO_DT_SPEC_GET(LED0_NODE, gpios);
static const struct gpio_dt_spec led1 = GPIO_DT_SPEC_GET(LED1_NODE, gpios);
static const struct gpio_dt_spec led2 = GPIO_DT_SPEC_GET(LED2_NODE, gpios);

static const struct gpio_dt_spec led3 = GPIO_DT_SPEC_GET(LED3_NODE, gpios);

static const struct gpio_dt_spec led4 = GPIO_DT_SPEC_GET(LED4_NODE, gpios);
static const struct gpio_dt_spec led5 = GPIO_DT_SPEC_GET(LED5_NODE, gpios);
static const struct gpio_dt_spec led6 = GPIO_DT_SPEC_GET(LED6_NODE, gpios);
static const struct gpio_dt_spec led7 = GPIO_DT_SPEC_GET(LED7_NODE, gpios);
static const struct gpio_dt_spec led8 = GPIO_DT_SPEC_GET(LED8_NODE, gpios);
static const struct gpio_dt_spec led9 = GPIO_DT_SPEC_GET(LED9_NODE, gpios);
/**/

int main(void)
{
	int ret;




	if (!gpio_is_ready_dt(&led0)) {
		return 0;
	}

	if (!gpio_is_ready_dt(&led1)) {
		return 0;
	}

	if (!gpio_is_ready_dt(&led2)) {
		return 0;
	}

	if (!gpio_is_ready_dt(&led3)) {
		return 0;
	}

	if (!gpio_is_ready_dt(&led4)) {
		return 0;
	}

	if (!gpio_is_ready_dt(&led5)) {
		return 0;
	}

	if (!gpio_is_ready_dt(&led6)) {
		return 0;
	}

	if (!gpio_is_ready_dt(&led7)) {
		return 0;
	}

	if (!gpio_is_ready_dt(&led8)) {
		return 0;
	}

	if (!gpio_is_ready_dt(&led9)) {
		return 0;
	}

/**/








	ret = gpio_pin_configure_dt(&led0, GPIO_OUTPUT_ACTIVE);
	if (ret < 0) {
		return 0;
	}

	ret = gpio_pin_configure_dt(&led1, GPIO_OUTPUT_ACTIVE);
	if (ret < 0) {
		return 0;
	}

	ret = gpio_pin_configure_dt(&led2, GPIO_OUTPUT_ACTIVE);
	if (ret < 0) {
		return 0;
	}

	ret = gpio_pin_configure_dt(&led3, GPIO_OUTPUT_ACTIVE);
	if (ret < 0) {
		return 0;
	}

	ret = gpio_pin_configure_dt(&led4, GPIO_OUTPUT_ACTIVE);
	if (ret < 0) {
		return 0;
	}

	ret = gpio_pin_configure_dt(&led5, GPIO_OUTPUT_ACTIVE);
	if (ret < 0) {
		return 0;
	}

	ret = gpio_pin_configure_dt(&led6, GPIO_OUTPUT_ACTIVE);
	if (ret < 0) {
		return 0;
	}

	ret = gpio_pin_configure_dt(&led7, GPIO_OUTPUT_ACTIVE);
	if (ret < 0) {
		return 0;
	}

	ret = gpio_pin_configure_dt(&led8, GPIO_OUTPUT_ACTIVE);
	if (ret < 0) {
		return 0;
	}

	ret = gpio_pin_configure_dt(&led9, GPIO_OUTPUT_ACTIVE);
	if (ret < 0) {
		return 0;
	}

/**/



	while (1) {
		ret = gpio_pin_toggle_dt(&led0);

		ret = gpio_pin_toggle_dt(&led1);

		ret = gpio_pin_toggle_dt(&led2);

		ret = gpio_pin_toggle_dt(&led3);

		ret = gpio_pin_toggle_dt(&led4);

		ret = gpio_pin_toggle_dt(&led5);

		ret = gpio_pin_toggle_dt(&led6);

		ret = gpio_pin_toggle_dt(&led7);

		ret = gpio_pin_toggle_dt(&led8);

		ret = gpio_pin_toggle_dt(&led9);
/**/





		if (ret < 0) {
			return 0;
		}
		k_msleep(SLEEP_TIME_MS);
	}
	return 0;
}































